import request from '@/utils/request'

// 新增商家商品规格
export function skusAdd(data) {
    return request({
        url: '/shop/skus/add',
        method: 'post',
        data
    })
}
// 删除商家商品规格
export function skusDel(id) {
    return request({
        url: `/shop/skus/del/${id}`,
        method: 'post',
    })
}
// 修改商家商品规格
export function skusEdit(data) {
    return request({
        url: `/shop/skus/edit`,
        method: 'post',
        data
    })
}
// 获取商家商品规格详细信息
export function skusInfo(id) {
    return request({
        url: `/shop/skus/info/${id}`,
        method: 'get',
    })
}
// 查询商家商品规格列表
export function skusPage(query) {
    return request({
        url: `/shop/skus/page`,
        method: 'get',
        params: query
    })
}

// 加载顶级分类
export function skusTops(query) {
    return request({
        url: `/shop/skus/tops`,
        method: 'get',
        params: query
    })
}
// 加载顶级分类树
export function skusTree(query) {
    return request({
        url: `/shop/skus/tree`,
        method: 'get',
        params: query
    })
}